"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var rpc_1 = require("../rpc");
exports.useNodeIdCallback = function (nodeRef, onNodeId) {
    React.useEffect(function () {
        var instance = nodeRef.current;
        var handler = function (_a) {
            var reactId = _a[0], nodeId = _a[1];
            if (onNodeId && instance && instance.reactId === reactId) {
                onNodeId(nodeId);
            }
        };
        var subscription = rpc_1.$bindReactIdWithNodeId.subscribe(function (value) { return handler && handler(value); });
        return function () { return subscription.unsubscribe(); };
    }, [onNodeId]);
};
//# sourceMappingURL=useNodeIdCallback.js.map