"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Platform_1 = require("../helpers/Platform");
var transformBlendProperties_1 = require("../styleTransformers/transformBlendProperties");
var useCreateEffectStyleId_1 = require("./useCreateEffectStyleId");
exports.useEffectStyle = function (style, params) {
    var transformedStyles = __assign({}, transformBlendProperties_1.transformBlendProperties(style), { style: style });
    var _a = useCreateEffectStyleId_1.useCreateEffectStyleId(transformedStyles.effects, params), createEffectStyle = _a[0], effectStyleId = _a[1];
    React.useEffect(function () {
        if (Platform_1.Platform.OS !== 'figma') {
            return;
        }
        createEffectStyle();
    }, [transformedStyles]);
    return __assign({}, style, (effectStyleId ? { effectStyleId: effectStyleId } : {}));
};
//# sourceMappingURL=useEffectStyle.js.map