"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var transformGeometryStyleProperties_1 = require("../styleTransformers/transformGeometryStyleProperties");
var React = require("react");
var useImageHash_1 = require("../hooks/useImageHash");
var Platform_1 = require("../helpers/Platform");
var useCreateFillStyleId_1 = require("./useCreateFillStyleId");
exports.useFillPaintStyle = function (style, params) {
    var imageHash = useImageHash_1.useImageHash(style.backgroundImage);
    var transformedStyles = __assign({}, transformGeometryStyleProperties_1.transformGeometryStyleProperties('fills', style, imageHash), { style: style });
    var _a = useCreateFillStyleId_1.useCreateFillStyleId(transformedStyles.fills, params), createFillsStyle = _a[0], fillStyleId = _a[1];
    React.useEffect(function () {
        if (Platform_1.Platform.OS !== 'figma') {
            return;
        }
        createFillsStyle();
    }, [transformedStyles]);
    return __assign({}, style, (fillStyleId ? { fillStyleId: fillStyleId } : {}));
};
//# sourceMappingURL=useFillPaintStyle.js.map